#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;
struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& inn)
{
    bool prompt;
    int value;
    cerr << "Show messages? (0 - no \ 1- yes)";
    inn >> value;
    prompt = value;

    Input in;
    size_t number_count;
    if (prompt) cerr << "Enter number count: ";
    inn >> number_count;

    in.numbers.resize(number_count);
    vector<double> numbers(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
        if (prompt) cerr << "Enter numbers: ";
        inn >> in.numbers[i];
    }
    size_t bin_count;
    if (prompt) cerr << "Enter bin count: ";
    inn >> in.bin_count;
    return in;
}

int main()
{
    auto in = input_data(cin);

    auto bins = make_histogram(in.numbers, in.bin_count);

    double min, max;
    double bin_size = (max - min) / in.bin_count;
    show_histogram_text(bins, in.bin_count, bin_size);
    //show_histogram_svg(bins);
    //#  +  ()

}
//  | 3 3 5 5 5 4 4 4 4 4
